package com.gh.gamecenter.feedback.provider

import android.content.Context
import android.content.Intent
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IWebProvider

@com.therouter.inject.ServiceProvider
class WebProviderImpl : IWebProvider {
    override fun getIntent(context: Context, url: String, autoCompletionTitle: Boolean): Intent? {
        return null
    }

    override fun getWebIntent(context: Context, title: String, url: String): Intent? {
        return null
    }

    override fun getBindWechatIntent(context: Context): Intent? {
        return null
    }

    override fun getQAIntent(
        context: Context?,
        url: String?,
        title: String?,
        isWebPageHandleBackPressed: Boolean,
        qaType: Int
    ): Intent? {
        return null
    }

    override fun getIntentByNews(
        context: Context?,
        concernLink: String?,
        concernGameName: String,
        concernId: String?,
        entrance: String?
    ): Intent? {
        return null
    }
}